commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benedikt Ritter (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (LANG-1027) org.apache.commons.lang3.SystemUtils#isJavaVersionAtLeast should return true by default
Date Mon, 06 Apr 2015 17:29:26 GMT

     [ https://issues.apache.org/jira/browse/LANG-1027?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Benedikt Ritter closed LANG-1027.
---------------------------------

> org.apache.commons.lang3.SystemUtils#isJavaVersionAtLeast should return true by default
> ---------------------------------------------------------------------------------------
>
>                 Key: LANG-1027
>                 URL: https://issues.apache.org/jira/browse/LANG-1027
>             Project: Commons Lang
>          Issue Type: Improvement
>            Reporter: Romain Manni-Bucau
>             Fix For: 3.4
>
>
> Hi
> last [lang] release doesn't support java 9 (not in JavaVersion enum). However it shouldn't
break the org.apache.commons.lang3.SystemUtils#isJavaVersionAtLeast method which should return
true when java version is not known (not known = older)
> My proposal is to add UNKNOWN to the enum and override atLeast for this particular value
to return true.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message